--
-- lizard2000
-- Specialization for lizard2000 mod
--
-- @author  Stefan Geiger
-- @date  10/01/09
--
-- Copyright (C) GIANTS Software GmbH, Confidential, All Rights Reserved.

Ford = {};

function Ford.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function Ford:load(xmlFile)
    hornSoundFile = Utils.getFilename("Sounds/clacson.wav", self.baseDirectory);
    self.hornSoundId = createSample("FordHornSound");
    loadSample(self.hornSoundId, hornSoundFile, false);
    self.hornPlaying = false;
end;

function Ford:delete()
    delete(self.burnerSoundId);
end;

function Ford:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Ford:keyEvent(unicode, sym, modifier, isDown)
end;

function Ford:update(dt)
	if self:getIsActiveForInput() and self:getIsActiveForSound() and InputBinding.isPressed(InputBinding.Ford_SILLYHORN) then
        if not self.hornPlaying then
            playSample(self.hornSoundId, 0, 1, 0);
            self.hornPlaying = true;
        end;
    else
        if self.hornPlaying then
            stopSample(self.hornSoundId);
            self.hornPlaying = false;
        end;
    end;
end;

function Ford:draw()
    g_currentMission:addHelpButtonText(g_i18n:getText("SillyHorn"), InputBinding.Ford_SILLYHORN);
end;

